import React from 'react';
import * as PropTypes from 'prop-types';
import TextLabel from '../TextLabel/TextLabel';

import getStyles from './DataTableEmpty.styles';

const DataTableEmpty = (props) => {
    const { contextStyles } = props;
    const styles = getStyles(contextStyles);
    return (
        <TextLabel contextStyles={ styles }>
            No records found...
        </TextLabel>
    );
};

DataTableEmpty.propTypes = {
    /** Styles for this component */
    contextStyles: PropTypes.shape({
        /** Styling for the main container */
        container: PropTypes.object,

        /** Styles for text */
        text: PropTypes.object,
    }),
};

export default DataTableEmpty;
