// Core component styles
const coreStyles = {
    indicator: {
    },

    indicatorContainer: {
        alignSelf: 'center',
    },

    modal: {
        padding: '2rem',
        backgroundColor: '#fff',
    },

    overlay: {
    },

    text: {
    },

    textContainer: {
        textAlign: 'center',
        marginBottom: '1rem',
    },
};

/**
 * Helper method to get the styles for the component
 * @param {Object} contextStyles - Context styles for the Button Component
 */
const getStyles = (contextStyles = {}) => {
    return {
        indicator: {
            ...coreStyles.indicator,
            ...contextStyles.indicator,
        },

        indicatorContainer: {
            ...coreStyles.indicatorContainer,
            ...contextStyles.indicatorContainer,
        },

        overlay: {
            ...coreStyles.overlay,
            ...contextStyles.overlay,
        },

        modal: {
            ...coreStyles.modal,
            ...contextStyles.modal,
        },

        text: {
            ...coreStyles.text,
            ...contextStyles.text,
        },

        textContainer: {
            ...coreStyles.textContainer,
            ...contextStyles.textContainer,
        },
    };
};

export default getStyles;
